Bug 447023 - RHEL3: VMware fdisk partitions
RHEL3: VMware fdisk partitions
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
3.9
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 20:55 EDT by Bela Lubkin
Modified: 2010-05-06 07:01 EDT (History)
1 user (show)

See Also:
Fixed In Version: util-linux-ng-2.12a-22.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-06 07:01:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch applies to any util-linux-*: 2.12r, 2.13-pre7, ng-2.14-rc2 (362 bytes, patch)
2008-05-16 20:55 EDT, Bela Lubkin
no flags Details | Diff

  None (edit)
Description Bela Lubkin 2008-05-16 20:55:19 EDT
Description of problem:

util-linux `fdisk` programs do not recognize the partition types used by
VMware ESX.  They show up as "unknown".

Version-Release number of selected component (if applicable):

All

How reproducible:

100%

Steps to Reproduce:
1. Install VMware ESX
2. Run `fdisk -l`, observe partition types 0xFB, 0xFC display as "Unknown"
3. Boot any sort of Linux live CD (FC8?), `fdisk -l`, same observation

Actual results:

# fdisk -l

Disk /dev/sda: 73.5 GB, 73557090304 bytes
255 heads, 63 sectors/track, 8942 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1   *         1       382   3068383+  83  Linux
/dev/sda2           383       643   2096482+  82  Linux swap
/dev/sda3           644      4467  30716280   83  Linux
/dev/sda4          4468      8942  35945437+   f  Win95 Ext'd (LBA)
/dev/sda5          4468      4480    104391   fc  Unknown
/dev/sda6          4481      8942  35840983+  fb  Unknown

Expected results:

# fdisk -l

Disk /dev/sda: 73.5 GB, 73557090304 bytes
255 heads, 63 sectors/track, 8942 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/sda1   *         1       382   3068383+  83  Linux
/dev/sda2           383       643   2096482+  82  Linux swap
/dev/sda3           644      4467  30716280   83  Linux
/dev/sda4          4468      8942  35945437+   f  Win95 Ext'd (LBA)
/dev/sda5          4468      4480    104391   fc  VMware VMKcore
/dev/sda6          4481      8942  35840983+  fb  VMware VMFS

Additional info:

VMware (or at least I) would appreciate if Red Hat would add this
to the slushpile for future RHEL3 updates (U10??), as we could then
pick it up for use in ESX Console OS.  We also understand that's
very backwater for you and odds are it will only show up in RHEL5+.

Do the best you can.

We also hope that it will make it into the public util-linux-ng
which appears to be the current source of util-linux packages for
all Linux distros.  It would be nice if our users could boot a
recovery CD and have it display VMware partitions as more than
"Unknown".

I have intentionally not named these "VMware ESX VMFS" etc. since
product names have a habit of changing more frequently than
filesystem names.  And this is not a branding exercise, it's
taxonomy.  I also have not tried to have `fdisk` distinguish
VMFS generations such as VMFS2 vs. VMFS3: that's outside the
scope of the base `fdisk` utilities.  VMware's own utilities can
do that.  Capitalization of "VMKcore" is intentional to match the
display given by ESXi (embedded ESX).

Thanks,

>Bela<
Comment 1 Bela Lubkin 2008-05-16 20:55:20 EDT
Created attachment 305779 [details]
Patch applies to any util-linux-*: 2.12r, 2.13-pre7, ng-2.14-rc2
Comment 2 Karel Zak 2008-05-19 03:37:15 EDT
The patch applied to the upstream tree (ng-2.14-rc3).
Comment 3 Karel Zak 2010-05-06 07:01:41 EDT
The bug is fixed in RHEL-4, RHEL5, etc.

Note You need to log in before you can comment on or make changes to this bug.